Bug 241902 - multimedia/handbrake: update to 1.3.0
Summary: multimedia/handbrake: update to 1.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Piotr Kubaj
URL:
Keywords: buildisok
Depends on: 241928
Blocks:
  Show dependency treegraph
 
Reported: 2019-11-12 00:58 UTC by Yuichiro NAITO
Modified: 2019-12-03 15:44 UTC (History)
2 users (show)

See Also:


Attachments
handbrake-1.3.0.patch (8.45 KB, patch)
2019-11-12 00:58 UTC, Yuichiro NAITO
no flags Details | Diff
handbrake-1.3.0-rev2.patch (14.03 KB, patch)
2019-11-29 06:28 UTC, Yuichiro NAITO
no flags Details | Diff
handbrake-1.3.0-rev3.patch (17.16 KB, patch)
2019-11-30 20:29 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (naito.yuichiro)
Details | Diff
handbrake-1.3.0-rev4.patch (17.72 KB, patch)
2019-12-03 15:03 UTC, Yuichiro NAITO
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuichiro NAITO 2019-11-12 00:58:09 UTC
Created attachment 209083 [details]
handbrake-1.3.0.patch

HandBrake has been updated to 1.3.0.
The attached patch 'handbrake-1.3.0.patch' updates multimedia/handbrake port.
Please apply to Ports tree.

Here is a list of changes since 1.2.2:
  - fix portlint warning
      - USES line more earlier
  - change to use libvpx from Ports
      It is upstream's decision.
  - removed dependency (also upstream's decision)
      libramplerate
  - update contrib libraries
      fdk-aac 2.0.1
      ffmpeg 4.2.1
      libbluray 1.1.2
      libdvdnav 6.0.1
      libdvdread 6.0.2
      dav1d 0.5.1
      x265 3.2.1
  - python3 support for building.
  - added build dependency of devel/meson.
  - pkg-decr mentions about VP8, VP9 video codecs.
  - pkg-plist includes new message catalogs.

Notes for reviewers:
  - USES+=meson adds extra configure options that HandBrake's configure
    never understand. Meson dependency should be in BUILD_DEPENDS.
  - Portlint warns about consider using NLS knob. But HandBrake always requires
    gettext with X11. It's not selectable, so NLS should not be in OPTIONS_DEFINE.

Unfortunately HandBrake-1.3.0 has a bug that do not switch message catalog in order to locale.
I added a workaround patch 'patch-gtk_src_Makefile.am' for this.
I think upstream project will fix this problem in next release.

If you see a bug in HandBrake-1.3.0,
please refer to https://github.com/HandBrake/HandBrake.
Several minor bugs are reported in the Issues.

Thank you!
Comment 1 Automation User 2019-11-12 02:55:23 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/95213748
Comment 2 Yuichiro NAITO 2019-11-25 02:06:53 UTC
According to #241928, I will re-create HandBrake-1.3.0 patch that supports powerpc64.
Please wait for a moment.
Comment 3 Yuichiro NAITO 2019-11-29 06:28:40 UTC
Created attachment 209519 [details]
handbrake-1.3.0-rev2.patch
Comment 4 Yuichiro NAITO 2019-11-29 06:29:22 UTC
Updated my patch to `handbrake-1.3.0-rev2.patch`.

Here is a list of changes since my previous patch.

1. remove files/patch-contrib_libvpx_P05-freebsd-ppc.patch
     libvpx has been changed to use from ports.
     No need to fix HandBrake's contrib source.

2. remove files/patch-contrib_x265_P01-freebsd-ppc.patch
     x265 has been updated to 3.2.1.
     This patch has been merged to upstream.

3. update files/patch-gtk_src_Makefile.am
     picked from upstream fix

4. update files/patch-make_variant_freebsd.defs
     As I said in #241928,
     I've changed my mind about how to check if base has clang.

pkubaj@
  Please check it on powerpc64.
  If your check has passed, please commit to Ports tree.
Comment 5 Piotr Kubaj freebsd_committer 2019-11-30 20:29:51 UTC
Created attachment 209563 [details]
handbrake-1.3.0-rev3.patch

Additional patch for ffmpeg (same one that is in ffmpeg port at https://svnweb.freebsd.org/ports/head/multimedia/ffmpeg/files/patch-libswscale_ppc_swscale__altivec.c?view=markup) is necessary.
Comment 6 Yuichiro NAITO 2019-12-03 15:03:19 UTC
Created attachment 209659 [details]
handbrake-1.3.0-rev4.patch
Comment 7 Yuichiro NAITO 2019-12-03 15:03:43 UTC
Sorry for the late reply.
I was busy with my full time job.

It seems that the additional patch for ffmpeg doesn't affect to amd64/i386.
My poudriere build was succeeded with rev 3 patch.
There is no problem for me.

But I'd like to put HandBrake's patch by $(CP) to make patch files easier to re\
ad for humans.
So I suggest rev 4 patch.

In HandBrake porject, patch filenames starts with 'P' appears to be
platform specific patches. So I renamed the additional patch filename.
I think our ports patches are FreeBSD specific.
Comment 8 commit-hook freebsd_committer 2019-12-03 15:44:33 UTC
A commit references this bug:

Author: pkubaj
Date: Tue Dec  3 15:43:56 UTC 2019
New revision: 518950
URL: https://svnweb.freebsd.org/changeset/ports/518950

Log:
  multimedia/handbrake: update to 1.3.0

  Here is a list of changes since 1.2.2:
    - fix portlint warning
        - USES line more earlier
    - change to use libvpx from Ports
        It is upstream's decision.
    - removed dependency (also upstream's decision)
        libramplerate
    - update contrib libraries
        fdk-aac 2.0.1
        ffmpeg 4.2.1
        libbluray 1.1.2
        libdvdnav 6.0.1
        libdvdread 6.0.2
        dav1d 0.5.1
        x265 3.2.1
    - python3 support for building.
    - added build dependency of devel/meson.
    - pkg-decr mentions about VP8, VP9 video codecs.
    - pkg-plist includes new message catalogs.

  Remove two ppc64-specific patches (for libvpx and x265) and add one (for ffmpeg).

  PR:		241902
  Submitted by:	naito.yuichiro@gmail.com (maintainer)
  Approved by:	mentors (implicit approval)

Changes:
  head/multimedia/handbrake/Makefile
  head/multimedia/handbrake/distinfo
  head/multimedia/handbrake/files/P02-freebsd-ppc-libswscale.patch
  head/multimedia/handbrake/files/patch-contrib_libvpx_P05-freebsd-ppc.patch
  head/multimedia/handbrake/files/patch-contrib_x265_P01-freebsd-ppc.patch
  head/multimedia/handbrake/files/patch-gtk_src_Makefile.am
  head/multimedia/handbrake/files/patch-make_variant_freebsd.defs
  head/multimedia/handbrake/files/version.txt
  head/multimedia/handbrake/pkg-descr
  head/multimedia/handbrake/pkg-plist